/*
 * FormatCommandAlignCenterVertically.java
 *
 * Created on 9 mei 2005, 21:36
 */

package it.businesslogic.ireport.gui.command;

import it.businesslogic.ireport.OperationType;
import java.awt.Point;

/**
 *
 */
public class FormatCommandAlignCenterVertically extends FormatCommand {
    {
        operationType = OperationType.ALIGN_CENTER_VERTICALLY; 
    }

    public void modify() {
        int center = jrf.getReport().getBandYLocation(re.getBand()) + 10 + re.getBand().getHeight()/2;
        re.setPosition(new Point(re.getPosition().x, center-(re.getHeight()/2)));
    }
    
}
